XkbAllocGeomColors(3)

NAME
XkbAllocGeomColors - Allocate geometry colors

SYNOPSIS
Status XkbAllocGeomColors ( geom, num_needed )
      XkbGeometryPtr geom;
      int num_needed;

ARGUMENTS

- geom
    geometry for which colors should be allocated

- num_needed
    number of new colors required

DESCRIPTION

Xkb provides a number of functions to allocate and free subcomponents of a keyboard geometry. Use these functions to create or modify keyboard geometries. Note that these functions merely allocate space for the new element(s), and it is up to you to fill in the values explicitly in your code. These allocation functions increase sz_* but never touch num_* (unless there is an allocation failure, in which case they reset both sz_* and num_* to zero). These functions return Success if they succeed, BadAlloc if they are not able to allocate space, or BadValue if a parameter is not as expected.

XkbAllocGeomColors allocates space for num_needed colors and adds them to the specified geometry geom. A color name is a string whose interpretation is not specified by Xkb. All other geometry data structures refer to colors using their indices in this global list or pointers to colors in this list.

DIAGNOSTICS

BadAlloc
    Unable to allocate storage

BadValue
    An argument is out of range